import request from '@/utils/request'

// 查询店铺帐单记录列表
export function listStorebill(query) {
  return request({
    url: '/his/storeBill/list',
    method: 'get',
    params: query
  })
}

// 查询店铺帐单记录详细
export function getStorebill(billId) {
  return request({
    url: '/his/storeBill/' + billId,
    method: 'get'
  })
}

// 新增店铺帐单记录
export function addStorebill(data) {
  return request({
    url: '/his/storeBill',
    method: 'post',
    data: data
  })
}

// 修改店铺帐单记录
export function updateStorebill(data) {
  return request({
    url: '/his/storeBill',
    method: 'put',
    data: data
  })
}

// 删除店铺帐单记录
export function delStorebill(billId) {
  return request({
    url: '/his/storeBill/' + billId,
    method: 'delete'
  })
}

// 导出店铺帐单记录
export function exportStorebill(query) {
  return request({
    url: '/his/storeBill/export',
    method: 'get',
    params: query
  })
}